# protocol.h File Reference

## Detailed Description

Definitions for the protocol implementation.

It defines the proxyenv structure and the communication channels.

See also:
  PROTOCOL.TXT

`#include <stdio.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`

Go to the source code of this file.

## Defines

#define | P_tmpdir "/tmp"
#define | SOCKNAME P_tmpdir/**/"/.php_java_bridge"/**/"XXXXXX"
#define | SOCKNAME_SHM "/dev/shm/.php_java_bridge"/**/"XXXXXX"
#define | LOGFILE ""
#define | LOG_OFF 0
#define | LOG_FATAL 1
#define | LOG_ERROR 2
#define | LOG_INFO 3
#define | LOG_DEBUG 4
#define | DEFAULT_LEVEL "2"
#define | N_JAVA_SARGS 9
#define | N_JAVA_SENV 3
#define | N_MONO_SARGS 6
#define | N_MONO_SENV 1
#define | DEFAULT_MONO_PORT "9167"
#define | DEFAULT_JAVA_PORT "9267"
#define | DEFAULT_JAVA_WRAPPER EXTENSION_DIR/**/"/RunJavaBridge"
#define | DEFAULT_MONO_WRAPPER EXTENSION_DIR/**/"/RunMonoBridge"
#define | DEFAULT_HOST "127.0.0.1"
#define | DEFAULT_SERVLET "/JavaBridge/JavaBridge.phpjavabridge"
#define | RECV_SIZE 8192
#define | MAX_ARGS 100
#define | IS_SERVLET_BACKEND(env) (((*env)->servlet_ctx || EXT_GLOBAL (get_servlet_context) (TSRMLS_C)))
#define | IS_OVERRIDE_REDIRECT(env) ((((*env)->peer0!=-1) || EXT_GLOBAL (get_servlet_context) (TSRMLS_C)))

## Typedefs

typedef proxyenv_ * | proxyenv